commit:     3dd9a093e860ecc24c1d52f6fc8189c0b0b294d8
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 19 14:47:29 2015 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Sep 19 14:47:29 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3dd9a093

www-servers/thin: Version bump

Package-Manager: portage-2.2.20.1

 www-servers/thin/Manifest          |  1 +
 www-servers/thin/thin-1.6.4.ebuild | 84 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/www-servers/thin/Manifest b/www-servers/thin/Manifest
index 6dc0e47..3a15690 100644
--- a/www-servers/thin/Manifest
+++ b/www-servers/thin/Manifest
@@ -1 +1,2 @@
 DIST thin-1.6.3.tar.gz 180296 SHA256 
67ad0865c75c09b454bdabfaf7943275282f4aa059a5fb38b9aef8f2c5f7f231 SHA512 
de8c564a9af79d6b8ed849d39c2147745deca8744926a96fe9a5f81745ccab0df5f144d74f1a69fb31d61c8b229d9f51331ad39770d20015e7a4e6453b3abed0
 WHIRLPOOL 
bda35046cb67042273cba973a015518d62dce63627d8c58f7ab57e0a2a6eb6398d17a6d2e0e16f6627714c3aca48bbf0260abd3d34790b76e071ea12f5083735
+DIST thin-1.6.4.tar.gz 180419 SHA256 
deead8d4d755fd99fa81059bef6b9767e787f027e86d44c903aa3d2a06c082c3 SHA512 
f75bbfbc855769564ff6dbbcb93381d9c9387c3ee1211f53df3eb3a050940c2dd8ffba7321d88f685ec114bf78ee437844853810ff728bad6d760d0b82f95671
 WHIRLPOOL 
a755b434c7b038ec6a0ab24c0819a945e015705ec5234199ec82ab81f85002e2d277160069e215fd86195e84258329a8319887690f1c31174a734befa6ca037f

diff --git a/www-servers/thin/thin-1.6.4.ebuild 
b/www-servers/thin/thin-1.6.4.ebuild
new file mode 100644
index 0000000..e98d793
--- /dev/null
+++ b/www-servers/thin/thin-1.6.4.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_TASK_TEST="spec:main spec:group:0 spec:group:1 spec:group:2"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A fast and very simple Ruby web server"
+HOMEPAGE="http://code.macournoyer.com/thin/";
+SRC_URI="https://github.com/macournoyer/thin/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="doc test"
+
+DEPEND="${DEPEND}
+       dev-util/ragel"
+RDEPEND="${RDEPEND}"
+
+# The runtime dependencies are used at build-time as well since the
+# Rakefile loads thin!
+mydeps=">=dev-ruby/daemons-1.0.9
+       >=dev-ruby/rack-1.0.0
+       >=dev-ruby/eventmachine-1.0.0
+       virtual/ruby-ssl"
+
+ruby_add_rdepend "${mydeps}"
+ruby_add_bdepend "${mydeps}
+       dev-ruby/rake-compiler
+       test? ( dev-ruby/rspec:0 )"
+
+all_ruby_prepare() {
+       # Fix Ragel-based parser generation (uses a *very* old syntax that
+       # is not supported in Gentoo)
+       sed -i -e 's: | rlgen-cd::' Rakefile || die
+
+       # Fix specs' dependencies so that the extension is not rebuilt
+       # when running tests
+       sed -i -e '/:spec =>/s:^:#:' tasks/spec.rake || die
+
+       # Fix rspec version to allow newer 1.x versions
+       sed -i -e '/gem "rspec"/ s/1.2.9/1.0/' tasks/spec.rake 
spec/spec_helper.rb || die
+
+       # Avoid CLEAN since it may not be available and we don't need it.
+       sed -i -e '/CLEAN/ s:^:#:' tasks/*.rake || die
+
+       # Disable a test that is known for freezing the testsuite,
+       # reported upstream. In thin 1.5.1 this just fails.
+       sed -i \
+               -e '/should force kill process in pid file/,/^  end/ s:^:#:' \
+               spec/daemonizing_spec.rb || die
+
+       # nasty but too complex to fix up for now :(
+       use doc || rm tasks/rdoc.rake
+       use test || rm tasks/spec.rake
+}
+
+each_ruby_compile() {
+       ${RUBY} -S rake compile || die "rake compile failed"
+}
+
+all_ruby_install() {
+       all_fakegem_install
+
+       keepdir /etc/thin
+       newinitd "${FILESDIR}"/${PN}.initd-3 ${PN}
+       newconfd "${FILESDIR}"/${PN}.confd-2 ${PN}
+
+       einfo
+       elog "Thin is now shipped with init scripts."
+       elog "The default script (/etc/init.d/thin) will start all servers that 
have"
+       elog "configuration files in /etc/thin/. You can symlink the init 
script to"
+       elog "files of the format 'thin.SERVER' to be able to start individual 
servers."
+       elog "See /etc/conf.d/thin for more configuration options."
+       einfo
+}

Reply via email to